Create Price
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"unitAmount": 2,
"intervalCount": 183,
"metadata": {}
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices"
payload = {
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"unitAmount": 2,
"intervalCount": 183,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
currency: '<string>',
unitAmount: 2,
intervalCount: 183,
metadata: {}
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/payments/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"unitAmount": 2,
"mode": "one_time",
"interval": "day",
"intervalCount": 183,
"active": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}customerPayments
Create Price
Create an immutable one-time or recurring price idempotently.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
payments
/
prices
Create Price
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Query Parameters
Environment slug. Defaults to "production"; unknown environment slugs return 404.
Pattern:
^[a-z][a-z0-9-]{0,38}$Body
application/json
Pattern:
^[A-Za-z]{3}$Required range:
x >= 1Available options:
one_time, subscription Available options:
day, week, month, year Required range:
1 <= x <= 365At most 20 application-defined string entries.
Show child attributes
Show child attributes
Response
Created price.
Pattern:
^[a-z]{3}$Required range:
x >= 1Available options:
one_time, subscription Available options:
day, week, month, year, null Required range:
1 <= x <= 365At most 20 application-defined string entries.
Show child attributes
Show child attributes